RelationType (Java Platform SE 8 )
Keywords: javax.management.relation.RelationType interface
Date: 2017-07-29

compact3
javax.management.relation

## Interface RelationType

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    RelationTypeSupport

      public interface RelationType
      extends Serializable

  The RelationType interface has to be implemented by any class expected to represent a relation type.
  Since:
    1.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getRelationTypeName()` Returns the relation type name.
    `RoleInfo` | `getRoleInfo(String roleInfoName)` Returns the role info (RoleInfo object) for the given role info name (null if not found).
    `List<RoleInfo>` | `getRoleInfos()` Returns the list of role definitions (ArrayList of RoleInfo objects).

- - ### Method Detail

    - #### getRelationTypeName

          String getRelationTypeName()

      Returns the relation type name.
      Returns:
        the relation type name.

    - #### getRoleInfos

          List<RoleInfo> getRoleInfos()

      Returns the list of role definitions (ArrayList of RoleInfo objects).
      Returns:
        an `ArrayList` of `RoleInfo`.

    - #### getRoleInfo

          RoleInfo getRoleInfo(String roleInfoName)
                        throws IllegalArgumentException,
                               RoleInfoNotFoundException

      Returns the role info (RoleInfo object) for the given role info name (null if not found).
      Parameters:
        `roleInfoName` - role info name
      Returns:
        RoleInfo object providing role definition does not exist
      Throws:
        `IllegalArgumentException` - if null parameter
        `RoleInfoNotFoundException` - if no role info with that name in relation type.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.